<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
IGAC proyecto SNC
@author 			christian.rodriguez
@cu 				CU-SA-AC-040 Consultar cotizaciones de avalúos
-->

<h:form id="detallesCotizacionForm" 
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:fn="http://java.sun.com/jsp/jstl/functions"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:p="http://primefaces.org/ui">

    <p:spacer height="5" width="0" />

    <p:fieldset>

        <h:panelGrid columns="4" cellspacing="7" width="100%"
                     columnClasses="col25p, col25p, col25p, col25p">

            <h:outputLabel value="Solicitante:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{consultaCotizacionesAvaluos.avaluoSeleccionado.solicitante.nombreCompleto}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Territorial:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{consultaCotizacionesAvaluos.avaluoSeleccionado.estructuraOrganizacionalCod}"
                styleClass="outputTextStyle" id="TerritorialesConDireccionGeneral-1">
                <f:converter converterId="converterCB"
                             for="TerritorialesConDireccionGeneral-1" />
            </h:outputText>

            <h:outputLabel value="Fecha radicación:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{consultaCotizacionesAvaluos.avaluoSeleccionado.tramite.solicitud.fecha}"
                styleClass="outputTextStyle">
                <f:convertDateTime pattern="#{general.formatoFechaUsuario2}" />
            </h:outputText>

            <h:outputLabel value="Sec. Radicado:" styleClass="outputLabelStyle" />
            <p:commandLink styleClass="commandLinkStyle"
                           action="#{consultaInformacionSolicitud.consultarSecRadicado}"
                           update=":isCC:infoSolicitudTV" onstart="statusDialog2.show();"
                           oncomplete="infoSolicitudCCWV.show(); statusDialog2.hide()"
                           value="#{consultaCotizacionesAvaluos.avaluoSeleccionado.secRadicado}"
                           immediate="true">
                <f:setPropertyActionListener
                    value="#{consultaCotizacionesAvaluos.avaluoSeleccionado.secRadicado}"
                    target="#{consultaInformacionSolicitud.numeroSecRadicado}" />
            </p:commandLink>

            <h:outputLabel value="Información predial:"
                           styleClass="outputLabelStyle" />
            <p:commandLink styleClass="commandLinkStyle"
                           value="Ver información predial"
                           action="#{consultaInformacionPredial.cargarInformacionPredial}"
                           update=":prediosAvaluoForm" onstart="statusDialog2.show();"
                           oncomplete="statusDialog2.hide();
                           handleCompleteSIC(xhr, status, args, infoPredialWV, true);"
                           immediate="true">
                <f:setPropertyActionListener
                    value="#{consultaCotizacionesAvaluos.avaluoSeleccionado}"
                    target="#{consultaInformacionPredial.avaluoSeleccionado}" />
            </p:commandLink>

            <h:outputLabel value="No. de predios:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{fn:length(consultaCotizacionesAvaluos.avaluoSeleccionado.avaluoPredios)}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Valor total cotización:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{consultaCotizacionesAvaluos.valorTotalCotizacion}"
                styleClass="outputTextStyle">
                <f:converter converterId="converterMoneda" />
            </h:outputText>

        </h:panelGrid>

        <p:spacer height="5" width="0" />

        <h:panelGrid columns="1" cellspacing="7" width="100%">


            <p:commandButton id="expandirTablaPrediosBtn"
                             value="#{consultaCotizacionesAvaluos.banderaTablaExpandidaPredio eq true ? 
                                      'Ver menos columnas':'Ver todas las columnas'}"
                             update=":detallesCotizacionForm:prediosDT, @this"
                             process="@this"
                             icon="#{consultaCotizacionesAvaluos.banderaTablaExpandidaPredio eq true ? 
                                     'ui-icon-arrowstop-1-w':'ui-icon-arrowstop-1-e'}">
                <f:setPropertyActionListener
                    target="#{consultaCotizacionesAvaluos.banderaTablaExpandidaPredio}"
                    value="#{consultaCotizacionesAvaluos.banderaTablaExpandidaPredio eq true 
                             ? false : true}" />
            </p:commandButton>

            <p:dataTable id="prediosDT"
                         value="#{consultaCotizacionesAvaluos.avaluoSeleccionado.avaluoPredios}"
                         var="predio" paginator="true" rows="5"
                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport}
                         {NextPageLink} {LastPageLink}"
                         rowsPerPageTemplate="5,10,15" paginatorPosition="bottom"
                         emptyMessage="No se encontraron predios asociados al avalúo">

                <f:facet name="header">Predios asociados a la cotización</f:facet>

                <p:column headerText="Departamento"
                          rendered="#{consultaCotizacionesAvaluos.banderaTablaExpandidaPredio}">
                    <h:outputText value="#{predio.departamento.nombre}"
                                  styleClass="outputTextStyle" />
                </p:column>

                <p:column headerText="Municipio"
                          rendered="#{consultaCotizacionesAvaluos.banderaTablaExpandidaPredio}">
                    <h:outputText value="#{predio.municipio.nombre}"
                                  styleClass="outputTextStyle" />
                </p:column>

                <p:column headerText="Número predial">
                    <h:outputText value="#{predio.numeroPredial}"
                                  styleClass="outputTextStyle" />
                </p:column>

                <p:column headerText="Dirección"
                          rendered="#{consultaCotizacionesAvaluos.banderaTablaExpandidaPredio}">
                    <h:outputText value="#{predio.direccion}"
                                  styleClass="outputTextStyle" />
                </p:column>

                <p:column headerText="Matrícula inmobiliaria"
                          rendered="#{consultaCotizacionesAvaluos.banderaTablaExpandidaPredio}">
                    <h:outputText value="#{predio.numeroRegistro}"
                                  styleClass="outputTextStyle" />
                </p:column>

                <p:column headerText="Tipo avalúo predio"
                          rendered="#{consultaCotizacionesAvaluos.banderaTablaExpandidaPredio}">
                    <h:outputText value="#{predio.tipoAvaluoPredio}"
                                  styleClass="outputTextStyle" id="AvaluoPredioTipoAvaluoV-1">
                        <f:converter converterId="converterCB"
                                     for="AvaluoPredioTipoAvaluoV-1" />
                    </h:outputText>
                </p:column>

                <p:column headerText="Condición jurídica"
                          rendered="#{consultaCotizacionesAvaluos.banderaTablaExpandidaPredio}">
                    <h:outputText value="#{predio.condicionJuridica}"
                                  styleClass="outputTextStyle" id="OfertaCondicionJuridicaD-1">
                        <f:converter converterId="converterCB"
                                     for="OfertaCondicionJuridicaD-1" />
                    </h:outputText>
                </p:column>

                <p:column headerText="Área construcción"
                          rendered="#{consultaCotizacionesAvaluos.banderaTablaExpandidaPredio}">
                    <h:outputText value="#{predio.areaConstruccion} m2"
                                  styleClass="outputTextStyle" />
                </p:column>

                <p:column headerText="Área terreno"
                          rendered="#{consultaCotizacionesAvaluos.banderaTablaExpandidaPredio}">
                    <h:outputText value="#{predio.areaTerreno} m2"
                                  styleClass="outputTextStyle" />
                </p:column>

                <p:column headerText="Valor predio">
                    <h:outputText value="#{predio.valorPredio}"
                                  styleClass="outputTextStyle">
                        <f:converter converterId="converterMoneda" />
                    </h:outputText>
                </p:column>

                <p:column headerText="Valor preliminar">
                    <h:outputText value="#{predio.valorPreliminar}"
                                  styleClass="outputTextStyle">
                        <f:converter converterId="converterMoneda" />
                    </h:outputText>
                </p:column>

                <p:column headerText="Valor IVA">
                    <h:outputText value="#{predio.valorIva}"
                                  styleClass="outputTextStyle">
                        <f:converter converterId="converterMoneda" />
                    </h:outputText>
                </p:column>

                <p:column headerText="Valor cotización">
                    <h:outputText value="#{predio.valorCotizacion}"
                                  styleClass="outputTextStyle">
                        <f:converter converterId="converterMoneda" />
                    </h:outputText>
                </p:column>

                <p:column headerText="Valor ajustado cotización">
                    <h:outputText value="#{predio.valorCotizacionAjustado}"
                                  styleClass="outputTextStyle">
                        <f:converter converterId="converterMoneda" />
                    </h:outputText>
                </p:column>

                <p:column>
                    <f:facet name="header">Requiere <br />trámite catastral</f:facet>
                    <h:outputText value="#{predio.requiereTramiteCatastral}"
                                  styleClass="outputTextStyle" />
                </p:column>

            </p:dataTable>

        </h:panelGrid>

    </p:fieldset>

</h:form>